%define name kdbg
%define version 1.2.8
%define release 2mdk

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Summary: 	A Graphical Debugger Interface
URL: 		http://members.nextra.at/johsixt/kdbg.html
Group: 		Development/Other
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%_tmppath/%{name}-buildroot
Requires:	gdb
BuildRequires:	kdelibs-devel libjpeg-devel libpng-devel XFree86-devel

%description
KDbg is a graphical user interface to gdb, the GNU debugger. 

It provides an intuitive interface for setting breakpoints,
inspecting variables, and stepping through code. 

%prep
%setup -q

%build
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

LIBQTMT="-lqt-mt" ./configure --with-kde-version=3 \
       --prefix=%_prefix \
       --libdir=%_libdir \
       --with-qt-dir=%qtdir \
       --with-qt-includes=%qtdir/include \
       --with-qt-libraries=%qtdir/%_lib \
	   --disable-rpath \
	   --disable-debug \
	   --enable-final

%make

%install
#laurent 1.2.4-2mdk don't use %%makeinstall . %%makeinstall doesn't install html document correctly.

make install DESTDIR=%buildroot

install -d %buildroot/%_menudir/
mkdir -p %buildroot/{%{_liconsdir},%{_miconsdir}}
cp %buildroot/%_datadir/icons/hicolor/16x16/apps/kdbg.png %buildroot/%{_miconsdir}
cp %buildroot/%_datadir/icons/hicolor/32x32/apps/kdbg.png %buildroot/%{_iconsdir}
cp %buildroot/%_datadir/icons/hicolor/32x32/apps/kdbg.png %buildroot/%{_liconsdir}

cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_bindir/kdbg" \
title="Kdbg" \
longtitle="A Graphical Debugger Interface" \
needs="x11" \
icon="%{name}.png" \  
section="Applications/Development/Tools"
EOF


rm -f %buildroot/%_datadir/types.html

%post 
%update_menus
  
%postun 
%clean_menus


%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%doc COPYING ChangeLog README 
%_bindir/*
%_datadir/applnk/Development/kdbg.desktop

%dir %_datadir/apps/kdbg
%dir %_datadir/apps/kdbg/pics/
%_datadir/apps/kdbg/pics/*.xpm
#
%dir %_datadir/apps/kdbg/icons/
%dir %_datadir/apps/kdbg/icons/hicolor/
%dir %_datadir/apps/kdbg/icons/hicolor/16x16/
%dir %_datadir/apps/kdbg/icons/hicolor/16x16/actions/
%_datadir/apps/kdbg/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/kdbg/icons/hicolor/22x22/
%dir %_datadir/apps/kdbg/icons/hicolor/22x22/actions/
%_datadir/apps/kdbg/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/kdbg/types/
%_datadir/apps/kdbg/types/*.kdbgtt
#
%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png
%_datadir/icons/hicolor/48x48/apps/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png



# MONTEL laurent 2001-03-29 don't add message
# because there are in kde-i18n
%lang(cs) %_datadir/locale/cs/LC_MESSAGES/kdbg.mo
%lang(da) %_datadir/locale/da/LC_MESSAGES/kdbg.mo
%lang(de) %_datadir/locale/de/LC_MESSAGES/kdbg.mo
%lang(es) %_datadir/locale/es/LC_MESSAGES/kdbg.mo
%lang(fr) %_datadir/locale/fr/LC_MESSAGES/kdbg.mo
%lang(hr) %_datadir/locale/hr/LC_MESSAGES/kdbg.mo
%lang(hu) %_datadir/locale/hu/LC_MESSAGES/kdbg.mo
%lang(it) %_datadir/locale/it/LC_MESSAGES/kdbg.mo
%lang(ja) %_datadir/locale/ja/LC_MESSAGES/kdbg.mo
%lang(no) %_datadir/locale/no/LC_MESSAGES/kdbg.mo
%lang(no_NY) %_datadir/locale/no_NY/LC_MESSAGES/kdbg.mo
%lang(pl) %_datadir/locale/pl/LC_MESSAGES/kdbg.mo
%lang(pt) %_datadir/locale/pt/LC_MESSAGES/kdbg.mo
%lang(ro) %_datadir/locale/ro/LC_MESSAGES/kdbg.mo
%lang(ru) %_datadir/locale/ru/LC_MESSAGES/kdbg.mo
%lang(sk) %_datadir/locale/sk/LC_MESSAGES/kdbg.mo
%lang(sr) %_datadir/locale/sr/LC_MESSAGES/kdbg.mo
%lang(sv) %_datadir/locale/sv/LC_MESSAGES/kdbg.mo
%lang(tr) %_datadir/locale/tr/LC_MESSAGES/kdbg.mo
%lang(zh_CN.GB2312) %_datadir/locale/zh_CN.GB2312/LC_MESSAGES/kdbg.mo

%dir %_datadir/doc/HTML/de/kdbg/
%_datadir/doc/HTML/de/kdbg/*.html

%dir %_datadir/doc/HTML/en/kdbg/
%_datadir/doc/HTML/en/kdbg/*.html

%dir %_datadir/doc/HTML/ru/kdbg
%_datadir/doc/HTML/ru/kdbg/*.html

%_menudir/*

%changelog
* Thu Jul 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.8-2mdk
- Rebuild

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.8-1mdk
- 1.2.8

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.7-2mdk
- Fix spec file

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.7-1mdk
- update

* Sat Nov 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.6-2mdk
- Make it lib64 aware

* Sun Oct 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.6-1mdk
- 1.2.6

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.5-4mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.5-3mdk
- Rebuild against gcc-3.2

* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.5-2mdk
- port to kde3.0

* Wed Mar 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.5-1mdk
- Update code 1.2.5

* Thu Jan 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.4-2mdk
- Add language file (bug reported by DUCLOS Andre <shirka@wanadoo.fr>)

* Sun Jan 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.4-1mdk
- Update code (1.2.4)

* Wed Jan 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-0.1mdk
- update code 

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-0.4mdk
- BuildRequires revisited

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 1.2.2-0.3mdk
- spec cleanups
- rpmlint compliant

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-0.2mdk
- Rebuild with new kdelibs

* Tue Aug 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-0.1mdk
- Update code (1.2.2)

* Sat Jun 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-0.2mdk
- Rebuild with kde2.2alpha2

* Wed May 2 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-0.1mdk
- Update code

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.6mdk
- Move KDE menu entry in %%_datadir/applnk
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.5mdk
- Fix BuildRequires for non %%ix86 architectures

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0-0.4mdk
- Add build requires 

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.3mdk
- Rebuild against Qt 2.3.0

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0-0.2mdk
- rebuild

* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-0.1mdk
- new in contribs
